Bug 308271 - i18n: POT creation fails
i18n: POT creation fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: readahead (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 21:05 EDT by Dimitris Glezos
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 19:13:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitris Glezos 2007-09-26 21:05:31 EDT
## Description of problem:

It seems that intltool-update fails for readahead:

po/$ intltool-update --pot -x
Building readahead.pot...
Running /usr/bin/xgettext --add-comments --directory=.
--output=readahead.pot --files-from=./POTFILES.in.temp  --keyword=_
--keyword=N_ --msgid-bugs-address=Karel Zak <kzak@redhat.com>
--from-code=ASCII
sh: kzak@redhat.com: No such file
Removing generated header (.h) files...done.
ERROR: xgettext failed to generate PO template file. Please consult
       error message above if there is any.

I think the following change is needed:

$ git diff po/Makevars 
diff --git a/po/Makevars b/po/Makevars
index f6e320c..d359962 100644
--- a/po/Makevars
+++ b/po/Makevars
@@ -34,7 +34,7 @@ COPYRIGHT_HOLDER = Karel Zak <kzak@redhat.com>
 # It can be your email address, or a mailing list address where
translators
 # can write to without being subscribed, or the URL of a web page
through
 # which the translators can contact you.
-MSGID_BUGS_ADDRESS = Karel Zak <kzak@redhat.com>
+MSGID_BUGS_ADDRESS = kzak@redhat.com
 
 # This is the list of locale categories, beyond LC_MESSAGES, for which
the
 # message catalogs shall be used.  It is usually empty.


This bug causes the statistics at
http://translate.fedoraproject.org/module/readahead to fail. A module should
either be able to create a POT file using intltool or provide a POT file.
Comment 1 Dimitris Glezos 2007-10-02 01:54:39 EDT
Confirming it's fixed -- thanks Karel.

Note You need to log in before you can comment on or make changes to this bug.